/* -*- c -*-

/builddir/build/BUILD/build_tree/src/core/include/tsp_prjcfg.h generated from include/tsp_prjcfg.h.in by CMake.

$Id: tsp_prjcfg.h.in,v 1.11 2008/08/02 11:01:47 deweerdt Exp $

-----------------------------------------------------------------------

TSP Library - core components for a generic Transport Sampling Protocol.

Copyright (c) 2002 Yves DUFRENNE, Stephane GALLES, Eric NOULARD and Robert PAGNOT 

This library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public
License as published by the Free Software Foundation; either
version 2.1 of the License, or (at your option) any later version.

This library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with this library; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

-----------------------------------------------------------------------

Project   : TSP
Maintainer: tsp@astrium-space.com
Component : Consumer / Provider

-----------------------------------------------------------------------
Purpose   : some includes
-----------------------------------------------------------------------
/builddir/build/BUILD/build_tree/src/core/include/tsp_prjcfg.h generated from include/tsp_prjcfg.h.in by CMake.
 */

#ifndef __TSP_PRJCFG_H
#define __TSP_PRJCFG_H

#include <tsp_abs_types.h>
#include <tsp_const_def.h>

/* 
 * The following macro should be used to print-out TSP 
 * version in binary executable. We should find a way to 
 * automatically change this when tagging...
 */
#define TSP_SOURCE_VERSION "0.8.4"

/*
 * The following macro is used under windows system to declare 
 * the DLLs tsp_provider, tsp_common entries points
 */
#undef _EXPORT_TSP_PROVIDER
#undef _EXPORT_TSP_COMMON
#if defined (WIN32) && defined (TSP_SHARED_LIBS)
#  ifdef tsp_provider_EXPORTS
#    define _EXPORT_TSP_PROVIDER __declspec(dllexport)
#  else
#    define _EXPORT_TSP_PROVIDER __declspec(dllimport)
#  endif
#  ifdef tsp_common_EXPORTS
#    define _EXPORT_TSP_COMMON __declspec(dllexport) 
#  else
#    define _EXPORT_TSP_COMMON __declspec(dllimport) 
#  endif
#else
#  define _EXPORT_TSP_PROVIDER
#  define _EXPORT_TSP_COMMON
#endif

/*
 * The following macro is used under windows system to declare 
 * the DLLs tsp_provider, tsp_common constant variables
 */
#if defined (_EXPORT_TSP_COMMON) && defined(WIN32)
#  define _EXTERN_TSP_COMMON extern _EXPORT_TSP_COMMON
#else
#  define _EXTERN_TSP_COMMON extern
#endif

#include <tsp_common_trace.h>

/* 
 * The TSP doxygen modules are now defined
 * in tsp/src/doxy/tsp_doc_tree.dox
 */


#endif /* _PRJCFG_H */
